BitmapToByteData.BmpType

net.printer.utils

## Enum BitmapToByteData.BmpType

- java.lang.Object
- - java.lang.Enum<BitmapToByteData.BmpType>
  - - net.printer.utils.BitmapToByteData.BmpType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<BitmapToByteData.BmpType>
  Enclosing class:
    BitmapToByteData

      public static enum BitmapToByteData.BmpType
      extends java.lang.Enum<BitmapToByteData.BmpType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Dithering`
    `Threshold`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BitmapToByteData.BmpType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static BitmapToByteData.BmpType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Dithering

          public static final BitmapToByteData.BmpType Dithering

    - #### Threshold

          public static final BitmapToByteData.BmpType Threshold

  - ### Method Detail

    - #### values

          public static BitmapToByteData.BmpType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (BitmapToByteData.BmpType c : BitmapToByteData.BmpType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static BitmapToByteData.BmpType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null